/**
    Creation of the [Maintenance] schema
  ==================================================================================
    DESCRIPTION
		This script creates the [Maintenance] schema if it does not exist.
  ==================================================================================
  BUGS:
 
    BUGID       Fixed   Description
    ==========  =====   ==========================================================
    ----------------------------------------------------------------------------------
  ==================================================================================
  Notes :
 
        Exemples :
        -------
 
  ==================================================================================
  Revision history
 
    Date        Name                Description
    ==========  ================    ================================================
    24/12/2014  Jefferson Elias     VERSION 1.0.0
    --------------------------------------------------------------------------------
  ==================================================================================
*/

PRINT '--------------------------------------------------------------------------------------------------------------'
PRINT 'SCHEMA [Maintenance] CREATION'

IF  NOT EXISTS (SELECT * FROM sys.schemas WHERE name = N'Maintenance')
BEGIN	
    DECLARE @SQL VARCHAR(MAX);
    SET @SQL = 'CREATE SCHEMA [Maintenance] AUTHORIZATION [dbo]'
    EXEC (@SQL)
    
	PRINT '   SCHEMA [Maintenance] created.'
END
ELSE
	PRINT '   SCHEMA [Maintenance] already exists.'
GO

PRINT '--------------------------------------------------------------------------------------------------------------'
PRINT '' 