/*requires Schema.Common.sql*/

PRINT '--------------------------------------------------------------------------------------------------------------';
PRINT 'Table [Common].[CommandLog] Creation';
GO

IF  NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[Common].[CommandLog]') AND type in (N'U'))
BEGIN
    /*
        Original Source: https://ola.hallengren.com
    */
    CREATE TABLE [Common].[CommandLog] (
        [CommandId]             int IDENTITY(1,1)   NOT NULL,
        [DatabaseName]          sysname             NULL,
        [SchemaName]            sysname             NULL,
        [ObjectName]            sysname             NULL,
        [ObjectType]            char(2)             NULL,
        [IndexName]             sysname             NULL,
        [IndexType]             tinyint             NULL,
        [StatisticsName]        sysname             NULL,
        [PartitionNumber]       int                 NULL,
        [ExtendedInfo]          xml                 NULL,
        [Command]               nvarchar(max)       NOT NULL,
        [CommandType]           nvarchar(60)        NOT NULL,
        [StartTime]             datetime            NOT NULL,
        [EndTime]               datetime            NULL,
        [ErrorNumber]           int                 NULL,
        [ErrorText]             nvarchar(max)       NULL
    ) ON [PRIMARY]

    PRINT '    Table [Common].[CommandLog] created.'
END
ELSE
BEGIN
    PRINT '    Table [Common].[CommandLog] already exists.'
END
GO

IF  NOT EXISTS (SELECT 1 FROM sys.indexes WHERE object_id = OBJECT_ID(N'[Common].[CommandLog]') AND name = N'PK_CommandLog')
BEGIN
    ALTER TABLE [Common].[CommandLog] ADD  CONSTRAINT [PK_CommandLog] PRIMARY KEY CLUSTERED (
       CommandId
    );

    PRINT '    Primary Key created.';

END;
GO


PRINT '--------------------------------------------------------------------------------------------------------------'
PRINT ''
GO
